Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Interface DoOnBean

public interface DoOnBean

An action to perform on instantiated beans. Used by the BeanPanel.

Method Summary
`void` | `action(JarInfo ji, java.beans.BeanInfo bi, java.lang.Class beanClass, java.lang.String beanName)`
`void` | `error(java.lang.String msg)`
`void` | `error(java.lang.String msg, java.lang.Exception ex)`

Method Detail

### action

    public void action(JarInfo ji,
                       java.beans.BeanInfo bi,
                       java.lang.Class beanClass,
                       java.lang.String beanName)

### error

    public void error(java.lang.String msg)

### error

    public void error(java.lang.String msg,
                      java.lang.Exception ex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details